JsonCpp project page | Classes | Namespace | JsonCpp home page

Json::StaticString Class Reference

Lightweight wrapper to tag static string. More...

`#include <json/value.h>`

## Public Member Functions

| StaticString (const char *czstring)
| operator const char * () const
const char * | c_str () const

## Detailed Description

Lightweight wrapper to tag static string.

Value constructor and objectValue member assignment takes advantage of the StaticString and avoid the cost of string duplication when storing the string or the member name.

Example of usage:

Json::Value aValue( StaticString("some text") );
Json::Value object;
static const StaticString code("code");
object[code] = 1234;
Json::StaticString::StaticString
StaticString(const char *czstring)
Definition value.h:163
Json::Value
Represents a JSON value.
Definition value.h:207

Definition at line 161 of file value.h.

## Constructor & Destructor Documentation

## StaticString()

Json::StaticString::StaticString | ( | const char * | czstring | ) |

inline explicit

Definition at line 163 of file value.h.

## Member Function Documentation

## c_str()

const char * Json::StaticString::c_str | ( |  | ) | const

inline

Definition at line 167 of file value.h.

Referenced by Json::Value::operator[](), and Json::Value::Value().

## operator const char *()

Json::StaticString::operator const char * | ( |  | ) | const

inline

Definition at line 165 of file value.h.

The documentation for this class was generated from the following file:

- include/json/value.h